Affected QGIS version:2.6.1 Regression?: No
Pull Request or Patch supplied:No Resolution: fixed/implemented
Description

I'm trying to place some labels using an attribute field showing the rotation in degrees and the actuall rotation works fine. What doesn't

work is the placement of some of the labels. It seems like if they are rotated in some angles the labels end up on the spot but some

doesn't. I think it has something to do with the value of the angles. The labels that are rotated more than 180 degrees tend to get

misplaced. The ones with less than 180 is fine.

Attached image shows some rotated labels. Notice the red dot wich is the point of the shape file where the label should start.

Associated revisions

Revision fe2db526 - 2015-03-28 09:14 AM - Nyall Dawson

Possible fix for placement of labels with offset from point mode and rotation (refs #12217)

History

#1 - 2015-02-17 06:42 AM - Oskar Karlin

Oh one more thing. It uses placements with Offset from point taken from the attribute table. When using Around point it all looks fine. The only problem

then is that some of the labels should have an other offset than standard (left, right, centered, above etc).

#2 - 2015-02-21 04:04 PM - Anita Graser

- Subject changed from Problems with rotated labels to Labels with data-defined rotation and offset from point are misplaced

- Category set to Labelling

#3 - 2015-03-22 02:55 AM - Mathieu Pellerin - nIRV

Oskar, allow me to be totally off topic here and say how great the map you've attached looks like :)

If you have a minute, upload it to the flickr QGIS group here: https://www.flickr.com/groups/qgis/ -- beautiful maps always welcome there.

#4 - 2015-03-25 01:13 PM - Nyall Dawson

This pull request should fix this issue: https://github.com/qgis/QGIS/pull/1951

Can you please check whether the described solution would fix your problem?
#5 - 2015-03-27 04:13 AM - Oskar Karlin

Nyall Dawson wrote:

This pull request should fix this issue: https://github.com/qgis/QGIS/pull/1951

Can you please check whether the described solution would fix your problem?

I'm trying to understand the description but it's hard for me to figure out without testing it and I've never built QGIS from scratch, I've always used the builds

from Kyngchaos.

#6 - 2015-03-28 02:01 AM - Nyall Dawson

- Status changed from Open to Feedback

I've pushed this fix to master - you should be able to test after the next round of nightlies are built. Can you confirm whether this fixes the issue?

#7 - 2015-03-30 05:52 AM - Oskar Karlin

Yes! It works like a charm! Thanks!

#8 - 2015-03-30 11:16 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Great, thank you!
